HiddenServiceDir /var/lib/tor/{{ item.name }}
{% if item.onionv3|default(tor.settings.onionv3|default(true)) %}HiddenServiceVersion 3
{# Other roles can drop config in /etc/tor/onions/NAME.d/*.conf #}
%include /etc/tor/onions/{{ item.name }}.d
{% endif %}{# When caller is defined, we don't define ports here because they go in dedicated file #}
{% if not caller %}{% for entry in item.ports|default({}) | dict2items %}HiddenServicePort {{ entry.key }} {{ entry.value }}
{% endfor %}{% endif %}
